Loading...
Searching...
No Matches
gr::uhd::rfnoc_graph Class Referenceabstract

`#include <gnuradio/uhd/rfnoc_graph.h>`

## Public Types

using | sptr = std::shared_ptr<rfnoc_graph>

## Public Member Functions

virtual | ~rfnoc_graph ()
virtual void | connect (const std::string &src_block, const size_t src_block_port, const std::string &dst_block, const size_t dst_block_port, const bool is_back_edge=false)=0
| Connect two blocks, or a block to a streamer, or a streamer to a block.
virtual void | connect (const std::string &src_block, const std::string &dst_block, const bool is_back_edge=false)=0
| Convenience overload: Defaults to port 0 on both blocks.
virtual::uhd::rx_streamer::sptr | create_rx_streamer (const size_t num_ports, const ::uhd::stream_args_t &args)=0
| Create an RX streamer.
virtual::uhd::tx_streamer::sptr | create_tx_streamer (const size_t num_ports, const ::uhd::stream_args_t &args)=0
| Create a TX streamer.
virtual void | set_streamer_adapter_id (const std::string &stream_block_id, const size_t port, const size_t adapter_id)=0
| Set the desired adapter ID for a streamer connection.
virtual void | commit ()=0
| Commit the graph and run initial checks.
virtual std::string | get_block_id (const std::string &block_name, const int device_select, const int block_select)=0
virtual void | set_time_source (const std::string &source, const size_t mb_index)=0
| Set time source on the specified motherboard.
virtual void | set_clock_source (const std::string &source, const size_t mb_index)=0
| Set clock source on the specified motherboard.
virtual::uhd::rfnoc::noc_block_base::sptr | get_block_ref (const std::string &block_id, const size_t max_ref_count)=0
| Return a reference to the block with a given block ID.

## Static Public Member Functions

static sptr | make (const ::uhd::device_addr_t &dev_addr)

## Static Public Attributes

static const size_t | NULL_ADAPTER_ID

## Detailed Description

GNU Radio-specific wrapper for uhd::rfnoc::rfnoc_graph

This wraps uhd::rfnoc::rfnoc_graph for simpler insertion into GNU Radio flow graphs. All API calls match those on said class.

## Member Typedef Documentation

## sptr

using gr::uhd::rfnoc_graph::sptr = std::shared_ptr<rfnoc_graph>

## Constructor & Destructor Documentation

## ~rfnoc_graph()

virtual gr::uhd::rfnoc_graph::~rfnoc_graph | ( |  | ) |

inline virtual

## Member Function Documentation

## commit()

virtual void gr::uhd::rfnoc_graph::commit | ( |  | ) |

pure virtual

Commit the graph and run initial checks.

## connect() [1/2]

virtual void gr::uhd::rfnoc_graph::connect | ( | const std::string & | src_block,
|  | const size_t | src_block_port,
|  | const std::string & | dst_block,
|  | const size_t | dst_block_port,
|  | const bool | is_back_edge = false )

pure virtual

Connect two blocks, or a block to a streamer, or a streamer to a block.

## connect() [2/2]

virtual void gr::uhd::rfnoc_graph::connect | ( | const std::string & | src_block,
|  | const std::string & | dst_block,
|  | const bool | is_back_edge = false )

pure virtual

Convenience overload: Defaults to port 0 on both blocks.

## create_rx_streamer()

virtual::uhd::rx_streamer::sptr gr::uhd::rfnoc_graph::create_rx_streamer | ( | const size_t | num_ports,
|  | const ::uhd::stream_args_t & | args )

pure virtual

Create an RX streamer.

## create_tx_streamer()

virtual::uhd::tx_streamer::sptr gr::uhd::rfnoc_graph::create_tx_streamer | ( | const size_t | num_ports,
|  | const ::uhd::stream_args_t & | args )

pure virtual

Create a TX streamer.

## get_block_id()

virtual std::string gr::uhd::rfnoc_graph::get_block_id | ( | const std::string & | block_name,
|  | const int | device_select,
|  | const int | block_select )

pure virtual

Return a valid block ID string, if it exists, or an empty string, if not

This will check the available blocks on the connected devices and see if they match the block name, device ID, and block number.

## get_block_ref()

virtual::uhd::rfnoc::noc_block_base::sptr gr::uhd::rfnoc_graph::get_block_ref | ( | const std::string & | block_id,
|  | const size_t | max_ref_count )

pure virtual

Return a reference to the block with a given block ID.

## make()

sptr gr::uhd::rfnoc_graph::make | ( | const ::uhd::device_addr_t & | dev_addr | ) |

static

## set_clock_source()

virtual void gr::uhd::rfnoc_graph::set_clock_source | ( | const std::string & | source,
|  | const size_t | mb_index )

pure virtual

Set clock source on the specified motherboard.

## set_streamer_adapter_id()

virtual void gr::uhd::rfnoc_graph::set_streamer_adapter_id | ( | const std::string & | stream_block_id,
|  | const size_t | port,
|  | const size_t | adapter_id )

pure virtual

Set the desired adapter ID for a streamer connection.

## set_time_source()

virtual void gr::uhd::rfnoc_graph::set_time_source | ( | const std::string & | source,
|  | const size_t | mb_index )

pure virtual

Set time source on the specified motherboard.

## Member Data Documentation

## NULL_ADAPTER_ID

const size_t gr::uhd::rfnoc_graph::NULL_ADAPTER_ID

static

Initial value:
=
static_cast<size_t>(::uhd::transport::NULL_ADAPTER_ID)

The documentation for this class was generated from the following file:

- rfnoc_graph.h